Create Discord scheduled event
curl --request POST \
--url https://api.kavenio.com/v1/discord/guilds/{guildId}/events \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"accountId": "acc_123",
"entityType": "external",
"name": "Launch webinar",
"startsAt": "2026-08-01T12:00:00.000Z",
"endsAt": "2026-08-01T13:00:00.000Z",
"location": "https://example.com/live"
}
'import requests
url = "https://api.kavenio.com/v1/discord/guilds/{guildId}/events"
payload = {
"accountId": "acc_123",
"entityType": "external",
"name": "Launch webinar",
"startsAt": "2026-08-01T12:00:00.000Z",
"endsAt": "2026-08-01T13:00:00.000Z",
"location": "https://example.com/live"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
accountId: 'acc_123',
entityType: 'external',
name: 'Launch webinar',
startsAt: '2026-08-01T12:00:00.000Z',
endsAt: '2026-08-01T13:00:00.000Z',
location: 'https://example.com/live'
})
};
fetch('https://api.kavenio.com/v1/discord/guilds/{guildId}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"data": {
"accountId": "<string>",
"guildId": "<string>",
"event": {
"id": "<string>",
"guildId": "<string>",
"name": "<string>",
"startsAt": "2023-11-07T05:31:56Z",
"channelId": "<string>",
"description": "<string>",
"endsAt": "2023-11-07T05:31:56Z",
"location": "<string>",
"userCount": 4503599627370495
}
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}Discord
Create Discord event
Creates an external, voice, or stage scheduled event in the connected Discord account guild.
POST
/
v1
/
discord
/
guilds
/
{guildId}
/
events
Create Discord scheduled event
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Pattern:
^\d{1,20}$Body
application/json
- Option 1
- Option 2
- Option 3
Required string length:
1 - 100Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$Required string length:
16Pattern:
^[abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ]{16}$Allowed value:
"external"Required string length:
1 - 100Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$Required string length:
1 - 1000Pattern:
^data:image\/(png|jpeg|gif);base64,Was this page helpful?
⌘I